package de.ivu.elect.business.dokumente.control;

import java.io.Serializable;

import javax.enterprise.event.Observes;
import javax.enterprise.event.Reception;
import javax.enterprise.event.TransactionPhase;
import javax.inject.Inject;

import de.ivu.elect.business.dokumente.boundary.DefaultDokumentVorlagenInit;

public class DefaultDokumentVorlagenInitEventListener implements Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient DefaultDokumentVorlagenInit defaultDokumentVorlagenInit;

  public void listen(
      @Observes(during = TransactionPhase.AFTER_SUCCESS, notifyObserver = Reception.ALWAYS) DefaultDokumentVorlagenInitEvent event) {
    if (event.getWahlPK()!=null) {
      defaultDokumentVorlagenInit.initDefaultDokumentVorlagen(event.getWahlPK());
    } else {
      defaultDokumentVorlagenInit.initDefaultDokumentVorlagen(event.getWahlterminPK());
    }
  }

}
